--- old/usr/src/uts/common/rpc/xdr_sizeof.c	Tue Aug  1 19:15:04 2017
+++ new/usr/src/uts/common/rpc/xdr_sizeof.c	Tue Aug  1 19:15:04 2017
@@ -25,6 +25,7 @@
  */
 /*
  * Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+ * Copyright 2017 RackTop Systems.
  */
 
 #include <rpc/types.h>
@@ -113,10 +114,11 @@
 	struct xdr_ops ops;
 	bool_t stat;
 	/* to stop ANSI-C compiler from complaining */
-	typedef  bool_t (* dummyfunc1)(XDR *, long *);
-	typedef  bool_t (* dummyfunc2)(XDR *, caddr_t, int);
+	typedef  bool_t (* dummyfunc1)(XDR *, caddr_t, int);
+	typedef	 bool_t (* dummyfunc2)(XDR *, int, void *);
+#if defined(_LP64) || defined(_KERNEL)
 	typedef  bool_t (* dummyfunc3)(XDR *, int32_t *);
-	typedef	 bool_t (* dummyfunc4)(XDR *, int, void *);
+#endif
 
 	ops.x_putbytes = x_putbytes;
 	ops.x_inline = x_inline;
@@ -130,8 +132,8 @@
 #endif
 
 	/* the other harmless ones */
-	ops.x_getbytes = (dummyfunc2)harmless;
-	ops.x_control = (dummyfunc4)harmless;
+	ops.x_getbytes = (dummyfunc1)harmless;
+	ops.x_control = (dummyfunc2)harmless;
 
 	x.x_op = XDR_ENCODE;
 	x.x_ops = &ops;
